Subject: Re: bug#46837: Makefile dependencies for info files

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Mar 2021 20:12:09 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 06 Mar 2021 12:38:38 -0500
> 
> Eli Zaretskii wrote:
> 
> > So it will fail even if all the Info files are already in the tree,
> > when makeinfo is not available?  Or are you saying that in order for
> > "make" not to fail one must touch not just info/emacs.info, but also
> > all the rest of the *.info files?
> 
> ?
> 
> If all the info file are already there, make will see that they are newer
> than their dependencies, so it won't try to rebuild them.
> There's no need to "touch" anything, and I would/did not recommend
> doing so.

I was talking about the case where the Info files aren't there, and
makeinfo is not available.

> > No argument there, I was talking about fire escape.  After all, we are
> > removing a "feature" that existed in previous releases.  
> 
> --without-makeinfo was always irrelevant in _releases_, where the info
> files are pre-built.

I wasn't talking about releases, either.

> > It would be good to tell people how to get back the old behavior, I
> > think.
> 
> They can always do "make lisp" (I think) instead of "make [all]".

If that works, let's say so in NEWS, and be done.